## ros-indigo-freenect-camera 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(freenect_camera)
find_package(catkin REQUIRED
             COMPONENTS
             camera_info_manager
             diagnostic_updater
             dynamic_reconfigure
             image_transport
             nodelet
             roscpp
             sensor_msgs
             pluginlib )

# Resolve system dependency on libfreenect, which does not provide a
# CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBFREENECT REQUIRED libfreenect)
find_library(LIBFREENECT_LIBRARY
  NAMES freenect
  PATHS ${LIBFREENECT_LIBRARY_DIRS}
)

# auto-generate dynamic reconfiguration GUI before catkin_package()
generate_dynamic_reconfigure_options(cfg/Freenect.cfg)

# resolve boost thread references
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIR}
                    ${LIBFREENECT_INCLUDE_DIRS})

# build the node and nodelet
add_executable(freenect_node src/nodes/freenect_node.cpp)
target_link_libraries(freenect_node
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY})

add_library(freenect_nodelet src/nodelets/driver.cpp)
target_link_libraries(freenect_nodelet
                      ${catkin_LIBRARIES}
                      ${LIBFREENECT_LIBRARY}
                      ${Boost_LIBRARY})

catkin_package(DEPENDS
               libfreenect
               CATKIN_DEPENDS
               camera_info_manager
               diagnostic_updater
               dynamic_reconfigure
               image_transport
               nodelet
               roscpp
               sensor_msgs)

# install the node and nodelet
install(TARGETS freenect_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        COMPONENT main)

install(TARGETS freenect_nodelet
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# add xml file
install(FILES freenect_nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-freenect-camera (0.4.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 27 Feb 2015 06:00:00 -0000

ros-indigo-freenect-camera (0.4.0-0trusty) trusty; urgency=high

  * Update header file to match libfreenect v0.5.1
  * Contributors: Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 30 Jan 2015 06:00:00 -0000

ros-indigo-freenect-camera (0.3.2-0trusty) trusty; urgency=high

  * Add include for log4cxx/logger.h (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Jan 2014 06:00:00 -0000

ros-indigo-freenect-camera (0.3.1-0trusty) trusty; urgency=high

  * Add dependency on log4cxx (#10 <https://github.com/ros-drivers/freenect_stack/issues/10>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 16 Jan 2014 06:00:00 -0000

ros-indigo-freenect-camera (0.3.0-0trusty) trusty; urgency=high

  * Added dependency on pluginlib.

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 19 Aug 2013 05:00:00 -0000

ros-indigo-freenect-camera (0.2.1-0trusty) trusty; urgency=high

  * bumping version to 0.2.1
  * removed a bit of redundant code
  * if the device times out (aka no streams are produced for 5 seconds after request), then the device streams are flushed again. Repeat flushing typically fixes the problem. This is an experimental fix. closes #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * enabled flushing the device streams at the start, which typically fixes the issue of device streams not starting with a cold start. #3 <https://github.com/ros-drivers/freenect_stack/issues/3>
  * the driver no longer acquires the device for the camera motor as that is not used
  * now install the nodelets file to the system package. closes #5 <https://github.com/ros-drivers/freenect_stack/issues/5>
  * fixing header references inside catkin packages for libfreenect (ros-drivers-gbp/libfreenect-release#3 <https://github.com/ros-drivers-gbp/libfreenect-release/issues/3>)
  * install node and nodelet
  * add maintainer, url links
  * clean up library references
  * use catkin version of dynamic parameter generator
  * partial catkin conversion of freenect_camera, still problems
  * fixed a few bugs instroduced while creating diagnostics
  * added diagnostics support to freenect_camera
  * added a debug flag to set the libfreenect log level. might be useful for remote debugging
  * changed header file location to refrain from patching libfreenect internally
  * removed redundant device shutdown call (done by FreenectDriver already)
  * reorganized stack for release

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 21 May 2013 15:53:47 -0500

=== debian/control ===
Source: ros-indigo-freenect-camera
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx10-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libfreenect, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/freenect_camera
Standards-Version: 3.9.2

Package: ros-indigo-freenect-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx10-dev, ros-indigo-camera-info-manager, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libfreenect, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: A libfreenect-based ROS driver for the Microsoft Kinect. This is a port of the OpenNI driver that uses libfreenect instead, because on some systems with some devices it works better.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-freenect-camera//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
